import { ModuleOutput } from './ModuleOutput';
export declare enum BuildEngine {
    Maven = 0,
    Gradle = 1
}
/**
 * Build output from a single or multi module project. Identifies modules based on path conventions.
 *
 * @export
 * @class BuildOutput
 * @implements {IBuildOutput}
 */
export declare class BuildOutput {
    private rootDirectory;
    buildEngine: BuildEngine;
    constructor(rootDirectory: string, buildEngine: BuildEngine);
    /**
     * Finds the module outputs by looking at the file structure. In Gradle the modules are in the "build"
     *
     * @returns {ModuleOutput[]}
     */
    findModuleOutputs(): ModuleOutput[];
    private getModuleName;
    private getBuildDirectoryName;
}
