import { IAnalysisTool } from './IAnalysisTool';
import { ToolRunner } from 'azure-pipelines-task-lib/toolrunner';
/**
 * Orcheestrates the processing and publishing of code analysis data and artifacts (PMD, FindBugs etc. but not SonarQube)
 *
 * @export
 * @class CodeAnalysisOrchestrator
 */
export declare class CodeAnalysisOrchestrator {
    private tools;
    constructor(tools: IAnalysisTool[]);
    configureBuild(toolRunner: ToolRunner | any): ToolRunner | any;
    /**
     * Parses the code analysis tool results (PMD, CheckStyle .. but not SonarQube). Uploads reports and artifacts.
     */
    publishCodeAnalysisResults(): void;
    private processResults;
    private checkBuildContext;
}
