import { AnalysisResult } from './AnalysisResult';
export declare class CodeAnalysisResultPublisher {
    private analysisResults;
    private stagingDir;
    constructor(analysisResults: AnalysisResult[], stagingDir: string);
    /**
     * Uploads the artifacts. It groups them by module
     *
     * @param {string} prefix - used to discriminate between artifacts comming from different builds of the same projects (e.g. the build number)
     */
    uploadArtifacts(prefix: string): number;
    /**
     * Creates and uploads a build summary that looks like:
     * Looks like:  PMD found 13 violations in 4 files.
     *              FindBugs found 10 violations in 8 files.
     *
     * Code analysis results can be found in the 'Artifacts' tab.
     */
    uploadBuildSummary(uploadedArtifacts: number): void;
    private groupBy;
    private uploadMdSummary;
    private createSummaryContent;
    private createSummaryLine;
}
