export declare class FileSystemInteractions {
    /**
     * Copies a file from the source path to the destination path.
     * If the destination path already exists, it is replaced. Otherwise a new file is created.
     *
     * Adapted from: https://github.com/Microsoft/vsts-task-lib/blob/master/node/task.ts
     * @param sourcePath      Path to copy from
     * @param destinationPath Path to copy to
     */
    static copyFile(sourcePath: string, destinationPath: string): void;
    /**
     * Create a directory at the specified path, including any folders in between.
     *
     * Copied from: https://github.com/Microsoft/vsts-task-lib/blob/master/node/task.ts
     * @param directoryPath Path to create
     */
    static createDirectory(directoryPath: string): void;
    /**
     * Checks that no errors were produced by the previous command.
     *
     * Copied from: https://github.com/Microsoft/vsts-task-lib/blob/master/node/task.ts
     * @param cmd             Command issued
     * @param continueOnError Do not throw an exception if an error was produced
     */
    private static checkShell;
}
